Name:		perl-Rose-Object
Version:	0.860
Release:	5%{?dist}
Summary:	Simple object base class
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Rose-Object/
Source0:	http://www.cpan.org/authors/id/J/JS/JSIRACUSA/Rose-Object-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(constant)
BuildRequires:	perl(lib)
BuildRequires:	perl(B)
BuildRequires:	perl(Carp)
BuildRequires:	perl(lib)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Simple)
BuildRequires:	perl(Test::Pod) >= 1.00
Requires:	perl(B)
Requires:	perl(Test::More)
Requires:	perl(Test::Simple)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%filter_from_requires /perl(Rose::DateTime::Util)/d
%filter_setup

%description
Rose::Object is a generic object base class. It provides very little
functionality, but a healthy dose of convention.

%prep
%setup -q -n Rose-Object-%{version}
find . -type f -executable -exec chmod -x {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/Rose/
%{_mandir}/man3/Rose*.3pm*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.860-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.860-4
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.860-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.860-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct  8 2013 Bill Pemberton <wfp5p@worldbroken.com> - 0.860-1
- update to version 0.860
- fixes typos in documentation

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.859-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 0.859-7
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.859-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jul 17 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.859-5
- Remove filter_from_requires for Rose::Object::MakeMethods
- update Requires and BuildRequires

* Mon Jul 16 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.859-4
- remove buildroot and clean
- remove defattr from files section
- add constant to BuildRequires

* Thu Jul 12 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.859-3
- Remove the execute bits in prep instead of build

* Tue Jun 26 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.859-2
- Remove execute bits from everything

* Tue Jun 26 2012 Bill Pemberton <wfp5p@virginia.edu> - 0.859-1
- Initial version
